
local addonName, addon = ...

local L = LibStub("AceLocale-3.0"):GetLocale(addonName, true)

addon.filters["Blizzard Merchant Filter"] = {}
local filter = addon.filters["Blizzard Merchant Filter"]

filter.linkList = {}
function filter:AddItem(link, i)
end

function filter:ClearAll()
end

function filter:isFilterd(link, i)
	return false
end

function filter:ResetFilter()
end

function filter:ShowAll()
end

function filter:FilterAll()
end

function filter:WriteDefault(db)
end

function filter:isRelevant()
	return true
end

local info = {}
function filter:GetDropdown(level)
	wipe(info)
    if level == 1 then
		info.keepShownOnClick = 1
		info.text = FILTER
		info.value = "BLIZZARDMERCHANTFILTER"
		info.hasArrow = true
		info.func = function()
			ToggleDropDownMenu(1, nil, addon.FilterMenu, addon.FilterButton, 0, 0)
			ToggleDropDownMenu(1, nil, addon.FilterMenu, addon.FilterButton, 0, 0)
		end
		UIDropDownMenu_AddButton(info, level)
	elseif level == 2 and "BLIZZARDMERCHANTFILTER" == UIDROPDOWNMENU_MENU_VALUE then
		local currFilter = GetMerchantFilter();
		local className = UnitClass("player");

		info.func = MerchantFrame_SetFilter;
		
		info.text = className;
		info.checked = (currFilter ~= LE_LOOT_FILTER_BOE and currFilter ~= LE_LOOT_FILTER_ALL);
		info.arg1 = LE_LOOT_FILTER_CLASS;
		UIDropDownMenu_AddButton(info, level);
		
		local numSpecs = GetNumSpecializations();
		for i = 1, numSpecs do
			local _, name, _, icon = GetSpecializationInfo(i);
			info.text = name;
			info.arg1 = LE_LOOT_FILTER_SPEC1 + i - 1;
			info.checked = currFilter == (LE_LOOT_FILTER_SPEC1 + i - 1);
			info.leftPadding = 10;
			UIDropDownMenu_AddButton(info, level);
		end

		info.text = ALL_SPECS;
		info.checked = currFilter == LE_LOOT_FILTER_CLASS;
		info.arg1 = LE_LOOT_FILTER_CLASS;
		info.func = MerchantFrame_SetFilter;
		UIDropDownMenu_AddButton(info, level);
		
		info.leftPadding = nil;
		info.text = ITEM_BIND_ON_EQUIP;
		info.checked = currFilter == LE_LOOT_FILTER_BOE;
		info.arg1 = LE_LOOT_FILTER_BOE;
		UIDropDownMenu_AddButton(info, level);
		
		info.leftPadding = nil;
		info.text = ALL;
		info.checked = currFilter == LE_LOOT_FILTER_ALL;
		info.arg1 = LE_LOOT_FILTER_ALL;
		UIDropDownMenu_AddButton(info, level);
	end
end
